Package org.eclipse.emf.compare.ide.ui.internal.util

## Class ThreadSafeProgressMonitor

- java.lang.Object
- - org.eclipse.core.runtime.ProgressMonitorWrapper
  - - org.eclipse.emf.compare.ide.ui.internal.util.ThreadSafeProgressMonitor

All Implemented Interfaces:
  `org.eclipse.core.runtime.IProgressMonitor`, `org.eclipse.core.runtime.IProgressMonitorWithBlocking`

    public class ThreadSafeProgressMonitor
    extends org.eclipse.core.runtime.ProgressMonitorWrapper

### Field Summary

### Fields inherited from interface org.eclipse.core.runtime.IProgressMonitor

`UNKNOWN`

### Constructor Summary

Constructors
`ThreadSafeProgressMonitor​(org.eclipse.core.runtime.IProgressMonitor monitor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `beginTask​(String name, int totalWork)`
`void` `clearBlocked()`
`void` `done()`
`void` `internalWorked​(double work)`
`boolean` `isCanceled()`
`void` `setBlocked​(org.eclipse.core.runtime.IStatus reason)`
`void` `setCanceled​(boolean b)`
`void` `setTaskName​(String name)`
`void` `setWorkRemaining​(int remaining)`
`void` `subTask​(String name)`
`void` `worked​(int work)`

### Methods inherited from class org.eclipse.core.runtime.ProgressMonitorWrapper

`getWrappedProgressMonitor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IProgressMonitor

`slice`

### Constructor Detail

#### ThreadSafeProgressMonitor

    public ThreadSafeProgressMonitor​(org.eclipse.core.runtime.IProgressMonitor monitor)

Parameters:
  `monitor` -

### Method Detail

#### beginTask

    public void beginTask​(String name,
                          int totalWork)

Specified by:
  `beginTask` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `beginTask` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.beginTask(java.lang.String, int)`

#### clearBlocked

    public void clearBlocked()

Specified by:
  `clearBlocked` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `clearBlocked` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.clearBlocked()`

#### setWorkRemaining

    public void setWorkRemaining​(int remaining)

#### done

    public void done()

Specified by:
  `done` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `done` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.done()`

#### internalWorked

    public void internalWorked​(double work)

Specified by:
  `internalWorked` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `internalWorked` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.internalWorked(double)`

#### isCanceled

    public boolean isCanceled()

Specified by:
  `isCanceled` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `isCanceled` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.isCanceled()`

#### setBlocked

    public void setBlocked​(org.eclipse.core.runtime.IStatus reason)

Specified by:
  `setBlocked` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `setBlocked` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.setBlocked(org.eclipse.core.runtime.IStatus)`

#### setCanceled

    public void setCanceled​(boolean b)

Specified by:
  `setCanceled` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `setCanceled` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.setCanceled(boolean)`

#### setTaskName

    public void setTaskName​(String name)

Specified by:
  `setTaskName` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `setTaskName` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.setTaskName(java.lang.String)`

#### subTask

    public void subTask​(String name)

Specified by:
  `subTask` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `subTask` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.subTask(java.lang.String)`

#### worked

    public void worked​(int work)

Specified by:
  `worked` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `worked` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.worked(int)`